> For the complete documentation index, see [llms.txt](https://liquiidio.gitbook.io/unity-plugin-suite/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://liquiidio.gitbook.io/unity-plugin-suite/eossharp/api-docs/eossharp-core/eossharp-core-eosconfigurator.md).

# EosConfigurator

Aggregates all properties to configure Eos client.

## Summary

| Members                                                                                                                                                                                                         | Descriptions                                                                                                                                                                                                                   |
| --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `public string` [`HttpEndpoint`](#class_eos_sharp_1_1_core_1_1_eos_configurator_1a62f1f3c56291cefa77840b2ca2f20419)                                                                                             | http or https location of a nodeosd server providing a chain API.                                                                                                                                                              |
| `public string` [`ChainId`](#class_eos_sharp_1_1_core_1_1_eos_configurator_1a4476ef8ec88d45c994accc6d8c4f0da3)                                                                                                  | unique ID for the blockchain you're connecting to. If no ChainId is provided it will get from the get\_info API call.                                                                                                          |
| `public double` [`ExpireSeconds`](#class_eos_sharp_1_1_core_1_1_eos_configurator_1a1de209d04ed6fa63c8e7b0f72e2fab54)                                                                                            | number of seconds before the transaction will expire. The time is based on the nodeosd's clock. An unexpired transaction that may have had an error is a liability until the expiration is reached, this time should be brief. |
| `public UInt32` [`blocksBehind`](#class_eos_sharp_1_1_core_1_1_eos_configurator_1a29e395da124d767fe65c693b692180ed)                                                                                             | How many blocks behind to use for TAPoS reference block.                                                                                                                                                                       |
| `public` [`ISignProvider`](/unity-plugin-suite/eossharp/api-docs/eossharp-core/eossharp-core-interfaces.md) [`SignProvider`](#class_eos_sharp_1_1_core_1_1_eos_configurator_1aa954fae2fc1b464d3a78a085bdf54a92) | signature implementation to handle available keys and signing transactions. Use the DefaultSignProvider with a privateKey to sign transactions inside the lib.                                                                 |

## Members

**`public string`** [**`HttpEndpoint`**](#class_eos_sharp_1_1_core_1_1_eos_configurator_1a62f1f3c56291cefa77840b2ca2f20419)

http or https location of a nodeosd server providing a chain API.

**`public string`** [**`ChainId`**](#class_eos_sharp_1_1_core_1_1_eos_configurator_1a4476ef8ec88d45c994accc6d8c4f0da3)

unique ID for the blockchain you're connecting to. If no ChainId is provided it will get from the get\_info API call.

**`public double`** [**`ExpireSeconds`**](#class_eos_sharp_1_1_core_1_1_eos_configurator_1a1de209d04ed6fa63c8e7b0f72e2fab54)

number of seconds before the transaction will expire. The time is based on the nodeosd's clock. An unexpired transaction that may have had an error is a liability until the expiration is reached, this time should be brief.

**`public UInt32`** [**`blocksBehind`**](#class_eos_sharp_1_1_core_1_1_eos_configurator_1a29e395da124d767fe65c693b692180ed)

How many blocks behind to use for TAPoS reference block.

**`public`** [**`ISignProvider`**](/unity-plugin-suite/eossharp/api-docs/eossharp-core/eossharp-core-interfaces.md) [**`SignProvider`**](#class_eos_sharp_1_1_core_1_1_eos_configurator_1aa954fae2fc1b464d3a78a085bdf54a92)

signature implementation to handle available keys and signing transactions. Use the DefaultSignProvider with a privateKey to sign transactions inside the lib.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://liquiidio.gitbook.io/unity-plugin-suite/eossharp/api-docs/eossharp-core/eossharp-core-eosconfigurator.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
